/* --- 01 TYPOGRAPHY SYSTEM
Font sizes (px):
10/12/14/16/18/20/24/30/36/44/52/62 / 74 / 86 / 98 

Font weights: 

Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

Line height: default(1)
Small: 1.05
Paragraph default: 1.6
Medium: 1.2

-Letter spacing
-0.5px
-0.75px


--02 COLORS:
Primary:#e67e22

-Tints:#c6ccc3
-Shadows
- Accents
Yellows
#f6b816
#d9ddd7
---- 05 SHADOWS:

---- 06 BORDER RADIUS
Default:9px
---- 07 WHITE SPACE


- SPACING SYSTEM (px)
2/4/8/12/16/24/32/48 // 80/9/ 128
*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
  /* scroll-behavior: smooth; */
}
body {
  font-family: "Rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555; /*base grey color */
  overflow-x: hidden;
}

.container {
  max-width: 120rem; /*standard*/
  margin: 0 auto; /*to center*/
  padding: 0 3.2rem; /*substract 32 px from left and right to center it and not glued to the side*/
}
/* reusable grid*/
.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}
.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}
.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}
.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}
.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}
.grid--center-v {
  align-items: center;
}

.hero-description {
  font-size: 2rem;
  line-height: 1.5;
  margin-bottom: 4.8rem;
}
.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  background-color: #405537;
  color: #fff;
  font-size: 2rem;
  padding: 1.6rem 3.2rem;
  border-radius: 150px;
  text-decoration: none;
  transition: all 0.3s;
  font-weight: 600;
  border: none;
  cursor: pointer;
}
.btn--form {
  background-color: #3a4d32;
  align-self: end;
  padding: 1.2rem;
}
.btn--form:hover {
  background-color: #fff;
  color: #555;
}
.hero-img {
  width: 100%;
}
.btn--full:link,
.btn--full:visited {
  background-color: #405537;
}
.btn--full:hover,
.btn--full:active {
  background-color: #3a4d32;
}
.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}
.btn--outline:hover,
.btn--outline:active {
  background-color: #c6ccc3;
  /*trick to add border inside*/
  box-shadow: inset 0 0 0 3px #fff;
}
.margin-right-sm {
  /* using a helper class*/
  margin-right: 1.6rem !important;
}
strong {
  font-weight: 500;
}
.center-text {
  text-align: center;
}
.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}
.list-item {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
  line-height: 1.2;
}
.list-icon {
  width: 3rem;
  height: 3rem;
  color: #2b8a3e;
}
*:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(230, 125, 34, 0.562);
}
.cta *:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(253, 242, 233, 0.493);
}
